#### PyKDE - Python Bindings for KDE

# class TDESharedConfig |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | TDESharedConfig
Inherits | TDEConfig, TDEShared

### methods

- TDESharedConfig (fileName, immutable, useKDEGlobals)

  returns a TDESharedConfig instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |
  immutable | bool |
  useKDEGlobals | bool |

- openConfig (fileName, immutable = 0, bUseKDEGlobals = 1)

  returns (TDESharedConfig.Ptr)
  In versions KDE 3.2.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |
  immutable | bool | 0
  bUseKDEGlobals | bool | 1

- ~TDESharedConfig ()

  returns nothing
  In versions KDE 3.2.0 and above only